ru.bitel.oss.systems.inventory.product.common.event

## Class ProductPeriodModifiedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.oss.systems.inventory.product.common.event.ProductPeriodModifiedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ProductPeriodModifiedEvent
      extends Event

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ProductPeriodModifiedEvent()`
    `` | `ProductPeriodModifiedEvent(int moduleId, int contractId, int accountId, int productSpecId, int productId, int activationModeId, java.util.Date productTimeFrom, java.util.Date productTimeTo, int productPeriodId, java.util.Date oldProductPeriodTimeFrom, java.util.Date oldProductPeriodTimeTo, java.util.Date newProductPeriodTimeFrom, java.util.Date newProductPeriodTimeTo, java.util.Date prolongationTime, int version)`
    `` | `ProductPeriodModifiedEvent(int moduleId, int contractId, int userId, Product product, ProductPeriod oldProductPeriod, ProductPeriod newProductPeriod)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAccountId()`
    `int` | `getActivationModeId()`
    `java.util.Date` | `getNewProductPeriodTimeFrom()`
    `java.util.Date` | `getNewProductPeriodTimeTo()` Если null - это удаление периода, т.к. у периода срок окочания не может быть бесконечным
    `java.util.Date` | `getOldProductPeriodTimeFrom()`
    `java.util.Date` | `getOldProductPeriodTimeTo()`
    `int` | `getProductId()`
    `int` | `getProductPeriodId()`
    `int` | `getProductSpecId()`
    `java.util.Date` | `getProductTimeFrom()`
    `java.util.Date` | `getProductTimeTo()`
    `java.util.Date` | `getProlongationTime()`
    `int` | `getVersion()`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProductPeriodModifiedEvent

          protected ProductPeriodModifiedEvent()

    - #### ProductPeriodModifiedEvent

          public ProductPeriodModifiedEvent(int moduleId,
                                            int contractId,
                                            int userId,
                                            Product product,
                                            ProductPeriod oldProductPeriod,
                                            ProductPeriod newProductPeriod)

    - #### ProductPeriodModifiedEvent

          public ProductPeriodModifiedEvent(int moduleId,
                                            int contractId,
                                            int accountId,
                                            int productSpecId,
                                            int productId,
                                            int activationModeId,
                                            java.util.Date productTimeFrom,
                                            java.util.Date productTimeTo,
                                            int productPeriodId,
                                            java.util.Date oldProductPeriodTimeFrom,
                                            java.util.Date oldProductPeriodTimeTo,
                                            java.util.Date newProductPeriodTimeFrom,
                                            java.util.Date newProductPeriodTimeTo,
                                            java.util.Date prolongationTime,
                                            int version)

  - ### Method Detail

    - #### getAccountId

          public int getAccountId()

    - #### getProductSpecId

          public int getProductSpecId()

    - #### getProductId

          public int getProductId()

    - #### getActivationModeId

          public int getActivationModeId()

    - #### getProductTimeFrom

          public java.util.Date getProductTimeFrom()

    - #### getProductTimeTo

          public java.util.Date getProductTimeTo()

    - #### getProductPeriodId

          public int getProductPeriodId()

    - #### getOldProductPeriodTimeFrom

          public java.util.Date getOldProductPeriodTimeFrom()

    - #### getOldProductPeriodTimeTo

          public java.util.Date getOldProductPeriodTimeTo()

    - #### getProlongationTime

          public java.util.Date getProlongationTime()

    - #### getNewProductPeriodTimeFrom

          public java.util.Date getNewProductPeriodTimeFrom()

    - #### getNewProductPeriodTimeTo

          public java.util.Date getNewProductPeriodTimeTo()

      Если null - это удаление периода, т.к. у периода срок окочания не может быть бесконечным
      Returns:

    - #### getVersion

          public int getVersion()